Update global account information
Update global information about logged in user
put/account
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Body
defaultTenantUidstringRequiredPattern:
^[A-Za-z0-9-_]+Responses
200
User account response
application/json
globalRolesstring[]Required
defaultTenantUidstringRequiredPattern:
^[A-Za-z0-9-_]+put/account
PUT /v2/account HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"defaultTenantUid": "text"
}200
User account response
{
"globalRoles": [
"text"
],
"defaultTenantUid": "text",
"tenants": [
{
"accountType": "FULL",
"createdAt": "2026-01-01T00:00:00.000Z",
"defaultStoreUid": "text",
"displayName": "text",
"email": "text",
"externalId": "text",
"firstname": "text",
"lastAccessed": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastname": "text",
"mobile": "text",
"status": "PENDING_INVITE",
"storeAccess": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"storeAccessUid": "text",
"storeUid": "text",
"storeRole": "ADMIN"
}
],
"tenantUid": "text",
"tenantName": "text",
"tenantRole": "ACCESS",
"tenantUserUid": "text",
"userCode": "text",
"languageCode": "text",
"permissions": {
"tenant": [
"text"
],
"stores": [
{
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text",
"organizationName": "text"
},
"permissions": [
"text"
]
}
],
"organizations": [
{
"organization": {
"name": "text",
"organizationUid": "text"
},
"permissions": [
"text"
]
}
]
}
}
]
}Last updated
Was this helpful?

